Jump to content
  • 0

Anyone else having trouble buying Lindens?


LyndaRyan
 Share

You are about to reply to a thread that has been inactive for 2711 days.

Please take a moment to consider if this thread is worth bumping.

Question

  • 0

giftcards are no Credit Cards, it are debit cards, not all are accepted. Most will give errors and get declined

You may use the following payment methods with Second Life:

  • Visa
  • American Express
  • MasterCard
  • Delta Online (non-U.S. Residents only)
  • JCB
  • Diners Club
  • Discover (U.S. Residents only)
  • Visa Electron (non-U.S. Residents only)
  • PayPal
  • Skrill

The currencies accepted for payment include:

    • CAD, AUD, JPY, EUR, GBP for non-U.S. Residents, and
    • USD for U.S. Residents
  • Like 1
Link to comment
Share on other sites

6 answers to this question

Recommended Posts

  • 0

giftcards are no Credit Cards, it are debit cards, not all are accepted. Most will give errors and get declined

You may use the following payment methods with Second Life:

  • Visa
  • American Express
  • MasterCard
  • Delta Online (non-U.S. Residents only)
  • JCB
  • Diners Club
  • Discover (U.S. Residents only)
  • Visa Electron (non-U.S. Residents only)
  • PayPal
  • Skrill

The currencies accepted for payment include:

    • CAD, AUD, JPY, EUR, GBP for non-U.S. Residents, and
    • USD for U.S. Residents
  • Like 1
Link to comment
Share on other sites

  • 0

i tried buying myself and it works with paypal ánd CC

 

[RESOLVED] Unscheduled Billing Maintenance

Posted by Status Desk on August 24th, 2015 at 09:40 am PDT

[RESOLVED 9:40 AM PDT, 24 August 2015] To maintain compliance with industry standards for payment information security and to better protect our residents, some Second Life websites have been updated to meet TLS 1.1 or TLS 1.2 encryption standards. Here’s a list of supported browsers:

Supported Browsers:
- Chrome 22 or later
- Firefox 28 or later
- Internet Explorer 11 or later*
- Safari 7 or later**
 
* Internet Explorer users on Windows Vista will need to either upgrade to Windows 7 or switch to Firefox or Chrome.
** Safari users on Mac OS X 10.7 and Mac OS X 10.8 will need to either upgrade to Mac OS X 10.9 or switch to Firefox or Chrome.
Link to comment
Share on other sites

You are about to reply to a thread that has been inactive for 2711 days.

Please take a moment to consider if this thread is worth bumping.

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
 Share

×
×
  • Create New...